/**
 * @file
 * A JavaScript file for the Ultimenu.

 */
(function ($, Drupal, window, document) {
  "use strict";

  Drupal.behaviors.ultimenu = {
    attach: function (context) {

      $('#button-navigation').once('ultimenu').click(function (e) {
          e.preventDefault();
          $('body').toggleClass('js-ultimenu-expanded');
          $('#ultimenu-main .ultimenu__link').removeClass('js-ultimenu-active').next('.ultimenu__flyout').slideUp();
          $($(this).data('target')).not(':animated').slideToggle();
      });

      $('#ultimenu-main').once('ultimenu-main', function () {
        var t = $(this),
          $link = t.find('.ultimenu__link');
        if (!$link.find('.caret').length) {
          $link.append('<span class="caret" />');
        }

        t.on('click', '.caret', function (e) {
          e.preventDefault();
          $(this).parent().toggleClass('js-ultimenu-active');
          $(this).parent().next('.ultimenu__flyout').not(':animated').slideToggle();
        });
      });
    }
  };

})(jQuery, Drupal, this, this.document);
