<?php

/**
 * @file
 * Contains \Drupal\ultimenu\Plugin\Derivative\UltimenuBlock.
 */

namespace Drupal\ultimenu\Plugin\Derivative;

use Drupal\Component\Plugin\Derivative\DerivativeBase;

/**
 * Provides block plugin definitions for ultimenu categories.
 *
 * @see \Drupal\ultimenu\Plugin\Block\UltimenuBlock
 */
class UltimenuBlock extends DerivativeBase {

  /**
   * {@inheritdoc}
   */
  public function getDerivativeDefinitions(array $base_plugin_definition) {
    // Provide a block plugin definition for each ultimenu.
    foreach (ultimenu_get_blocks() as $menu => $name) {
      $menu_key = 'ultimenu-' . $menu;
      $this->derivatives[$menu_key] = $base_plugin_definition;
      $this->derivatives[$menu_key]['admin_label'] = t("Ultimenu: @name", array('@name' => $name));
      $this->derivatives[$menu_key]['cache'] = DRUPAL_NO_CACHE;
    }
    return parent::getDerivativeDefinitions($base_plugin_definition);
  }
}
